from logging import CRITICAL, DEBUG, INFO, WARNING, Logger
from typing import Literal


def logging_level_name(
    logger: Logger,
) -> Literal["CRITICAL", "DEBUG", "ERROR", "INFO", "WARNING"]:
    """Return logging level from logger"""
    level = logger.level
    if level == DEBUG:
        return "DEBUG"
    if level == INFO:
        return "INFO"
    if level == WARNING:
        return "WARNING"
    if level == CRITICAL:
        return "CRITICAL"
    return "ERROR"
